This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 843625 - The thin server on sam installations will listen on all ip addresses, should listen on localhost only.
The thin server on sam installations will listen on all ip addresses, should ...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
high Severity high
: rc
: 1.2
Assigned To: Jordan OMara
Og Maciel
: Triaged
Depends On:
Blocks: sam12-tracker 849224
  Show dependency treegraph
 
Reported: 2012-07-26 15:26 EDT by Eric Sammons
Modified: 2014-11-09 17:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 849224 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:16:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-07-26 15:26:12 EDT
Description of problem:
With SAM all functionality resides on a single server, with this "thin" should not listen on 0.0.0.0:5001.

Steps to Reproduce:
1. Install katello-headpin-all
2. katello-configure --deployment=sam
3. ps -ef|grep thin
  
Actual results:
# ps -ef|grep thin
katello   2013     1  4 15:20 ?        00:00:11 thin server (0.0.0.0:5000)                                                                                                                                                                                                                                                                                                                          
katello   2017     1  4 15:20 ?        00:00:11 thin server (0.0.0.0:5001) 

Expected results:
# ps -ef|grep thin
katello   xxxx     1  4 15:20 ?        00:00:11 thin server (127.0.0.1:5000)                                                                                                                                                                                                                                                                                                                          
katello   xxxx     1  4 15:20 ?        00:00:11 thin server (127.0.0.1:5001)
Comment 1 Lukas Zapletal 2012-08-20 11:21:27 EDT
Taking the upstream bug.
Comment 2 Lukas Zapletal 2012-08-21 05:54:43 EDT
https://github.com/Katello/katello/pull/492
Comment 3 Bryan Kearney 2012-08-21 18:24:22 EDT
sam1
Comment 4 Jordan OMara 2012-09-12 17:35:40 EDT
Does lzap's pull request satisfy your concern?
Comment 5 Eric Sammons 2012-09-13 12:12:21 EDT
I have reviewed the pull request and verified that in 1.1.11 the thin servers are only listening on localhost.  Setting to ON_DEV per our workflow.
Comment 6 Og Maciel 2012-10-09 16:01:26 EDT
# ps -ef|grep thin
katello   4461     1  0 10:28 ?        00:00:46 thin server (127.0.0.1:5000)                                                                                                                                                                                                                                                                                                                          
katello   4465     1  0 10:28 ?        00:00:42 thin server (127.0.0.1:5001)                                                                                                                                                                                                                                                                                                                          
katello   4469     1  0 10:28 ?        00:00:43 thin server (127.0.0.1:5002)                                                                                                                                                                                                                                                                                                                          
katello   4506     1  0 10:28 ?        00:00:49 thin server (127.0.0.1:5003)                                                                                                                                                                                                                                                                                                                          
katello   4523     1  0 10:28 ?        00:00:44 thin server (127.0.0.1:5004)
Comment 7 Og Maciel 2012-10-09 16:01:55 EDT
Verified:

* candlepin-0.7.12-1.el6_3.noarch
* candlepin-tomcat6-0.7.12-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-common-1.1.10-1h.el6_3.noarch
* katello-cli-headpin-0.2.2-1.el6_2.noarch
* katello-common-1.1.14-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.14-2h.el6_3.noarch
* katello-headpin-1.1.14-2h.el6_3.noarch
* katello-headpin-all-1.1.14-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch
Comment 9 errata-xmlrpc 2013-02-21 14:16:58 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.